Page MenuHomePhabricator

Save the reply directly to the source page when a discussion comment/thread is transcluded from another page
Closed, ResolvedPublic

Description

When a discussion comment/thread is transcluded from another page, the reply widget should save the reply directly to the "source page" (the page where the comment is actually written). Currently it only displays an error message: "This comment can't be replied to here (yet), because it is loaded from another page.".

Example pages that use this workflow:

Event Timeline

matmarex created this task.Mar 12 2020, 4:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2020, 4:03 PM
matmarex updated the task description. (Show Details)Mar 12 2020, 4:25 PM

Change 579387 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] [WIP] Save the reply directly to the transcluded page

https://gerrit.wikimedia.org/r/579387

@NemoLePoisson That problem certainly looks like it's caused by transcluding the section from another page, but otherwise it should not affect this task. DiscussionTools does not use section editing internally, and also does not use visual editor / new wikitext editor.

I made up some example content, so that you can test how this behaves: http://patchdemo.wmflabs.org/wikis/1f9508ef12e1bb9caa71abee302277be/w/index.php/Main_Page (try the third example in particular)

Change 579387 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Save the reply directly to the transcluded page

https://gerrit.wikimedia.org/r/579387

ppelberg moved this task from Inbox to High Priority on the Editing QA board.Apr 9 2020, 10:00 PM

@matmarex: Can you suggest how I should test this on Beta cluster. If the comment gets directly posted to the source page from which the discussion thread is transcluded, I should probably not test this on production?

@Ryasmeen I copied my made-up example (T247535#6020605) to https://en.wikipedia.beta.wmflabs.org/wiki/Talk:Transcluded_sections, feel free to mess with it there.

On production wikis where you can't/shouldn't edit pages, you can still check for this little notice below the reply box indicating where the reply would be saved:


(this screenshot is from https://fr.wikipedia.org/wiki/Wikipédia:Le_Bistro?uselang=en#PetScan_ne_répond_plus)

Ryasmeen edited projects, added Verified; removed Editing QA.May 7 2020, 10:24 PM
ppelberg closed this task as Resolved.May 21 2020, 11:52 PM
ppelberg added a subscriber: iamjessklein.

...you can still check for this little notice below the reply box indicating where the reply would be saved:

Including this information is a nice touch, Bartosz.


Meta: I worry about the text below the input (e.g. disclaimer, feedback, save location [for transcluded conversations]) growing to the point that it becomes distracting/leads people to perceive the feature has "heavier" than it ought to be. Tho, I don't think we're at that point yet. I'm saying all of this here to help us be mindful of this. cc @iamjessklein.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 21 2020, 11:52 PM